%define upstream_name    Wx-Scintilla
%define upstream_version 0.39

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A list of Wx::Scintilla constants
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Wx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::wxWidgets)
BuildRequires: perl(ExtUtils::XSpp) >= 0.160.200
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Wx)
BuildRequires: libgtk+2.0-devel
BuildRequires: perl-devel
BuildRequires: libwxgtku2.8-devel
%description
While we already have a good scintilla editor component support via
Wx::StyledTextCtrl in Perl, we already suffer from an older scintilla
package and thus lagging Perl support in the popular Wx Scintilla
component. wxWidgets the http://wxwidgets.org manpage has a *very slow*
release timeline. Scintilla is a contributed project which means it will
not be the latest by the time a new wxWidgets distribution is released. And
on the scintilla front, the Perl 5 lexer is not 100% bug free even and we
do not have any kind of Perl 6 support in Scintilla.

The ambitious goal of this project is to provide fresh Perl 5 and maybe 6
support in the Wx manpage while preserving compatibility with
Wx::StyledTextCtrl and continually contribute it back to Scintilla project.

Note: You cannot load Wx::STC and Wx::Scintilla in the same application.
They are mutually exclusive. The wxSTC_... events are handled by one
library or the other.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

#check
# requires display
#./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README XS
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.390.0-4.mga4
+ Revision: 525331
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.390.0-3.mga4
+ Revision: 431011
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.390.0-2.mga3
+ Revision: 374898
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 0.390.0-1.mga3
+ Revision: 298183
- update to 0.39

* Tue Jun 05 2012 jquelin <jquelin> 0.380.100-1.mga3
+ Revision: 255705
- update to 0.3801

* Wed May 30 2012 jquelin <jquelin> 0.360.0-2.mga3
+ Revision: 251324
- rebuild for perl 5.16

* Thu Jan 05 2012 jquelin <jquelin> 0.360.0-1.mga2
+ Revision: 191388
- update to 0.36

* Fri Nov 18 2011 jquelin <jquelin> 0.340.0-2.mga2
+ Revision: 168880
- adding missing buildrequires:
- adding missing buildrequires:
- adding missing buildrequires
- imported package perl-Wx-Scintilla


* Fri Nov 18 2011 cpan2dist 0.34-1mga
- initial mageia release, generated with cpan2dist
